> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer.ordergroove.com/reference/rest-rpc-api/customers/list/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.ordergroove.com/_mcp/server. # List GET https://restapi.ordergroove.com/customers/ This request will return an array of all customers. Listing more than one customer requires Application API Scope with the Bulk Operations permission. Reference: https://developer.ordergroove.com/reference/rest-rpc-api/customers/list ## Authentication - `x-api-key` header (required) — Application API Scope — server-to-server, sent in the `x-api-key` header. See [Authentication](/api-reference/authentication). - `authorization` header (required) — Storefront API Scope — client-side, scoped to one customer, sent as a signature in the `authorization` header. See [Authentication](/api-reference/authentication). ## Request ### Query parameters - `live` (string, optional) — Account status: active = 'True' - `email` (string, optional) — Customer's email address - `updated` (date, optional) — Objects whose updated date matches exactly (yyyy-mm-dd). On customer creation it is populated with same value as created field. - `updated_start` (date, optional) — Objects whose updated datetime is greater than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss) - `updated_end` (date, optional) — Objects whose updated datetime is less than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss) - `created` (date, optional) — Objects whose created date matches exactly (yyyy-mm-dd) - `created_start` (date, optional) — Objects whose created datetime is greater than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss) - `created_end` (date, optional) — Objects whose created datetime is less than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss) ## Response ### 200 200 - `merchant` (string, optional) - `merchant_user_id` (string, optional) - `session_id` (string, optional) - `user_token_id` (string, optional) - `first_name` (string, optional) - `last_name` (string, optional) - `email` (string, optional) - `phone_number` (string, optional) - `phone_type` (integer, optional, default: 0) - `live` (boolean, optional, default: true) - `created` (string, optional) - `last_updated` (string, optional) - `last_login` (string, optional, nullable) - `extra_data` (any, optional) - `locale` (integer, optional, default: 0) ## Errors ### 403 Forbidden Error 403 - `detail` (string, optional) ### 404 Not Found Error 404 - `detail` (string, optional) ## Examples **Response** ```json { "merchant": "ac4f7938383a11e89ecbbc764e1107f2", "merchant_user_id": "00040003", "session_id": "ac4f7938383a11e89ecbbc764e1107f2.66746.1539289512", "user_token_id": "", "first_name": "APPLE", "last_name": "CIDER", "email": "acider@test.com", "phone_number": "+15165551212", "phone_type": 0, "live": true, "created": "2018-11-12 15:45:39", "last_updated": "2018-11-15 21:49:10", "last_login": null, "locale": 1 } ``` **SDK Code** ```python Result import requests url = "https://restapi.ordergroove.com/customers/" headers = {"x-api-key": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Result const url = 'https://restapi.ordergroove.com/customers/'; const options = {method: 'GET', headers: {'x-api-key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Result package main import ( "fmt" "net/http" "io" ) func main() { url := "https://restapi.ordergroove.com/customers/" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Result require 'uri' require 'net/http' url = URI("https://restapi.ordergroove.com/customers/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '' response = http.request(request) puts response.read_body ``` ```java Result import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://restapi.ordergroove.com/customers/") .header("x-api-key", "") .asString(); ``` ```php Result request('GET', 'https://restapi.ordergroove.com/customers/', [ 'headers' => [ 'x-api-key' => '', ], ]); echo $response->getBody(); ``` ```csharp Result using RestSharp; var client = new RestClient("https://restapi.ordergroove.com/customers/"); var request = new RestRequest(Method.GET); request.AddHeader("x-api-key", ""); IRestResponse response = client.Execute(request); ``` ```swift Result import Foundation let headers = ["x-api-key": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/customers/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > APIs, SDKs, and guides for building subscription commerce with Ordergroove.